package com.example.catchTheLetters.service;

import com.example.catchTheLetters.entity.Level;
import com.example.catchTheLetters.entity.ScoreInfo;
import com.example.catchTheLetters.model.vo.RankVo;
import com.example.catchTheLetters.utils.R;

import java.util.List;

/**
 * @author 慕华
 * @date 2024/4/10
 * @Version 1.0
 * @description
 */
public interface LevelService {
    /**
     * 关卡详情
     *
     * @param id 关卡ID
     * @return token
     */
    R<Level> levelDetail(String id);

    /**
     * 关卡列表
     *
     * @return token
     */
    R<List<Level>> list();

    /**
     * 结算
     *
     * @param scoreInfo 分数信息
     * @param token token
     * @return token
     */
    R<ScoreInfo> settle(ScoreInfo scoreInfo, String token);

    /**
     * 获取关卡排行信息
     *
     * @param levelId 关卡ID
     * @param token token
     * @return 关卡排行信息
     */
    RankVo getRankInfo(String levelId, String token);

    /**
     * 创建关卡
     *
     * @param level 关卡信息
     * @return 关卡创建是否成功
     */
    boolean levelCreate(Level level);


    /**
     *  删除关卡
     * @param id 关卡id
     * @return 是否成功
     */
    boolean delete(String id);

    /**
     *  更新关卡
     * @param level 关卡
     * @return 是否成功
     */
    boolean update(Level level);

}
