package com.example.catchTheLetters.service;

/**
 * 版本服务接口
 *
 * @author spyn
 */
public interface VersionService {
    /**
     * 获取某个表的版本号(用于Realm对MongoDB的数据表版本进行同步检测，版本号不同则进行同步)
     *
     * @param tableName 表名
     * @return 版本号
     */
    Long getVersion(String tableName);

    /**
     * 设置某个表的版本号(用于Realm对MongoDB的数据表版本进行同步检测，版本号不同则进行同步)
     *
     * @param tableName 表名
     * @param version   版本号
     */
    void setVersion(String tableName, Long version);
}
